JBoss API: Interface JMXConnectorMBean

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jmx.interfaces
Interface JMXConnectorMBean

All Superinterfaces:
  JMXConnector

All Known Implementing Classes:
  RMIClientConnectorImpl

public interface JMXConnectorMBean
extends JMXConnector

Client Side JMX Connector to be used in conjunction with a `server/protocol selector`. It contains the additional methods the client connector has to offer to open a connection to the server and at the end to close it.

Author:
  Andreas "Mad" Schaefer

Method Summary
`java.lang.String` | `getServerDescription()` Delivers the actual server description to which the client is connected to
`boolean` | `isAlive()` Indicates if the connection is alive and ready to serve
`void` | `start(java.lang.Object pServer)` Initialize the client connector to a given server side JMX Connector
`void` | `stop()` Stops the client connector, remove the remote connection and frees the resources.

Methods inherited from interface org.jboss.jmx.interfaces.JMXConnector
`addNotificationListener, addNotificationListener, createMBean, createMBean, createMBean, createMBean, deserialize, deserialize, deserialize, getAttribute, getAttributes, getDefaultDomain, getMBeanCount, getMBeanInfo, getObjectInstance, instantiate, instantiate, instantiate, instantiate, invoke, isInstanceOf, isRegistered, queryMBeans, queryNames, registerMBean, removeNotificationListener, removeNotificationListener, setAttribute, setAttributes, unregisterMBean`

Method Detail

### start

    public void start(java.lang.Object pServer)
               throws java.lang.IllegalArgumentException

  Initialize the client connector to a given server side JMX Connector
  Parameters:
    `pServer` - Server indentification (because I do not know the necessary type for a general server ident. I choose Object)
  Throws:
    `java.lang.IllegalArgumentException` - If the given server is not valid or not recognized by the connector implementation

### stop

    public void stop()

  Stops the client connector, remove the remote connection and frees the resources.

### isAlive

    public boolean isAlive()

  Indicates if the connection is alive and ready to serve
  Returns:
    True if the connection is alive

### getServerDescription

    public java.lang.String getServerDescription()

  Delivers the actual server description to which the client is connected to
  Returns:
    Description of the server the client is connected to or null if there is no connection

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.